<!DOCTYPE html>
<html>
<head>',
    <base href="${contextPath}"/>
    <meta charset="utf-8">
    <title>${formName}</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
</head>
<body>
<div class="layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-body" style="padding: 15px;">',
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                ${formFieldHtml}
                <div class="layui-form-item layui-layout-admin">
                    <div class="layui-input-block">
                        <div class="layui-footer" style="left: 0;">
                            <button type="button" id="submitFormBtn" class="layui-btn" lay-submit
                                    lay-filter="submitForm">提交
                            </button>
                            <button type="button" class="layui-btn layui-btn-primary close">返回</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <input type="hidden" id="formCode" value="${formCode}">,
    <input type="hidden" id="formVersion" value="${formVersion}">,
</div>
<script src="assets/js/vendor/viewer/viewer.min.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/'
    }).extend({
        index: 'lib/index'
    }).use(['index', 'form', 'laydate', 'laytpl', 'upload', 'restajax', 'datamessage', 'dialog'], function () {
        var $ = layui.$;
        var form = layui.form;
        var laytpl = layui.laytpl;
        var laydate = layui.laydate;
        var upload = layui.upload;
        var dialog = layui.dialog;
        var restAjax = layui.restajax;
        var dataMessage = layui.datamessage;
        var viewerObj = {};

        // 刷新下载模板',
        function refreshDownloadTemplet(fileName, file) {
            var dataRander = {};
            dataRander[fileName] = file;
            laytpl(document.getElementById(fileName + 'FileDownload').innerHTML).render(dataRander, function (html) {
                document.getElementById(fileName + 'FileBox').innerHTML = html;
            });
        }

        // 初始化文件列表',
        function initFileList(fileName, ids, callback) {
            var dataForm = {};
            dataForm[fileName] = ids;
            form.val('dataForm', dataForm);
            if (!ids) {
                refreshDownloadTemplet(fileName, []);
                if (callback) {
                    callback(fileName, []);
                }
                return;
            }
            restAjax.get(restAjax.path('app/file/list-release', []), {
                ids: ids
            }, null, function (code, data) {
                refreshDownloadTemplet(fileName, data);
                if (callback) {
                    callback(fileName, data);
                }
            }, function (code, data) {
                dialog.msg(data.msg);
            });
        }

        ${initSaveFunctions}

        // 初始化内容
        function initData() {
            ${initSaveScript}
        }

        initData();
        // 关闭页面',
        $('.close').on('click', function () {
            // 这里写返回按钮的逻辑，默认是关闭',
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        });
        // 提交表单',
        form.on('submit(submitForm)', function (formData) {
            dialog.confirm('确定提交吗？', function (index) {
                dialog.close(index);
                var loadLayerIndex;

                ${submitSaveScript}

                restAjax.post(restAjax.path('api/form-report/save/code/{formCode}/version/{formVersion}', [$('#formCode').val(), $('#formVersion').val()]), formData.field, null, function (code, data) {
                    // 这里手动添加操作成功后的操作',
                }, function (code, data) {
                    $('#submitFormBtn').show();
                    dialog.msg(data.msg);
                }, function () {
                    $('#submitFormBtn').hide();
                    loadLayerIndex = dialog.msg(dataMessage.committing, {icon: 16, time: 0, shade: 0.3});
                }, function () {
                    dialog.close(loadLayerIndex);
                });
            });
            return false;
        });
    });
</script>
</body>
</html>